/*!
 * \page page-build-osx Build instructions for OSX

\section macports-osx 1) GET MACPORTS
We use macports to get all of our dependencies.

http://www.macports.org/

\section cuda-osx 2) GET CUDA
Download and install CUDA 2.3

http://developer.nvidia.com/object/cuda_2_3_downloads.html

You will need 
<ol>
  <li> the development driver </li>
  <li> the CUDA toolkit and </li>
  <li> the CUDA SDK code samples </li>
</ol>

\section compiler-osx 3) PICK THE RIGHT COMPILER
In Snow Leopard, we had to pick gcc 4.0 as CUDA 2.3 only exists as a 32bit library. Open a console and type
\code
  sudo port install gcc_select
  gcc_select gcc40
\endcode


\section deps-osx 4) GET OpenCV, CMAKE, and Boost
Here is where macports comes in handy. Open up a console, type
\code
  sudo port install cmake opencv boost
\endcode
wait.

On Snow Leopard we had some problems between the architecture of opencv installed by macports, and that needed by gpusurf. To resolve this, we compiled opencv from source.

\section cudpp-osx 5) COMPILE CUDPP
The segmented scan from the CUDPP project is used to build the integral images.

http://code.google.com/p/cudpp/

This project is not in macports but we have included it in the \a 3rdParty directory. Open a console and navigate to \a 3rdParty/cudpp/cudpp and type
\code
  make
\endcode
wait.

\section gpusurf-osx 6) BUILD GPU SURF
open a console in the build directory. type:
\code
  cmake ..
\endcode
This gets cmake to construct the makefile. Now you can build the library. Type:
\code
  make
\endcode
This will produce a few things:
<ol>
  <li>The \c bin/gpusurf_engine command line utility.</li>
  <li>The \c bin/gpusurf_tests command line program.</li>
  <li>The \c lib/gpusurf.dylib dynamically linked library file.</li>
</ol>
 */
