/*!
 * \page page-build-windows Build instructions for Windows

These build instructions are for Windows using Microsoft Visual Studio 2005 or 2008. Building the library on windows using compilers may be possible, but we have not tested it. If you get it to work, let us know!

\section cuda-win 1) INSTALL CUDA 2.3
http://developer.nvidia.com/object/cuda_2_3_downloads.html

You will need 
<ol>
  <li> the development driver </li>
  <li> the CUDA toolkit and </li>
  <li> the CUDA SDK code samples </li>
</ol>

\section boost-win 2) INSTALL BOOST
Go to http://www.boostpro.com/download and get the precompiled binaries for Win32
Choose the following options:
<ul>
 <li>Visual C++ 8.0 (for VS2005) or Visual C++ 9.0 (for VS2008)</li>
 <li>Multithreaded DLL</li>
 <li>Multithreaded Debug DLL</li>
</ul>
Choose the following components:
<ul>
 <li> all of the defaults </li>
 <li> Boost Program Options </li>
 <li> add to path </li>
</ul>

Wait while the installer downloads and installs Boost

\section opencv-win 3) INSTALL OPENCV 2.1

Download and run the latest version of the Windows installer for OpenCV.

http://opencv.willowgarage.com/wiki/

When installing, select
<ul>
 <li>Add OpenCV to the path for all users</li>
</ul>


\section cmake-win 4) INSTALL CMAKE

We use the CMake library to manage the complexity of cross-platform builds with dependencies. Download and install the latest version of CMake.

http://www.cmake.org/

\section restart-win 5) RESTART
Windows explorer has a lot of trouble seeing environment variable and path updates.
The easiest fix after installing everything above is to restart your computer.

\section cudpp-win 6) BUILD CUDPP
The segmented scan from the CUDPP project is used to build the integral images.

http://code.google.com/p/cudpp/

We have included the sources for this project in the \c 3rdParty directory. Open the solution file \c cudpp.sln and build it in \a Release mode. 

\section gpusurf-win 7) BUILD GPU SURF
open a console in the build directory. type:
\code
  cmake -G "Visual Studio 8 2005" ..
\endcode
or
\code
  cmake -G "Visual Studio 9 2008" ..
\endcode

This gets cmake to construct the appropriate version of the Visual Studio solution and project files. Now open \c gpusurf.sln and build. This produces the following files
<ol>
  <li>The \c <config>/gpusurf_engine.exe command line utility.</li>
  <li>The \c <config>/gpusurf.dll dynamically linked library file.</li>
</ol>
<config> is the name of the configuration that was build, either Debug or Release.

*/

/*

Note: The program may complain that it cannot find cudart.dll. This is an old library from the earlier versions of CUDA, and now exists with a longer filename (C:\\CUDA\\bin\\cudart32_*.dll or cudart64_*.dll). We are trying to track down the problem, but for a quick fix, just make a copy of the cudart*.dll file and rename it to cudart.dll.

*/
